Package org.eclipse.microprofile.metrics.tck.metrics

## Class AbstractGenericBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.AbstractGenericBean

Direct Known Subclasses:
  `ConcreteTimedBean`

    public abstract class AbstractGenericBean
    extends Object

### Constructor Summary

Constructors
`AbstractGenericBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `normallyNotTimedMethod()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractGenericBean

    public AbstractGenericBean()

### Method Detail

#### normallyNotTimedMethod

    public void normallyNotTimedMethod()